# Created by pyp2rpm-3.3.4
%global pypi_name zstandard

Name:           python-%{pypi_name}
Version:        0.14.0
Release:        1%{?dist}
Summary:        Zstandard bindings for Python

License:        BSD
URL:            https://github.com/indygreg/python-zstandard
Source0:        %{pypi_source}

BuildRequires:  gcc
BuildRequires:  python3-devel
BuildRequires:  python3dist(cffi) >= 1.11
BuildRequires:  python3dist(hypothesis)
BuildRequires:  python3dist(setuptools)

%description
 python-zstandard This project provides Python bindings for interfacing with
the Zstandard <>_ compression library. A C extension and CFFI interface are
provided.The primary goal of the project is to provide a rich interface to the
underlying C API through a Pythonic interface while not sacrificing
performance. This means exposing most of the features and flexibility of the C
API while not...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(cffi) >= 1.11
%description -n python3-%{pypi_name}
 python-zstandard This project provides Python bindings for interfacing with
the Zstandard <>_ compression library. A C extension and CFFI interface are
provided.The primary goal of the project is to provide a rich interface to the
underlying C API through a Pythonic interface while not sacrificing
performance. This means exposing most of the features and flexibility of the C
API while not...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%{python3_sitearch}/_zstd_cffi.cpython-*-*-linux-gnu.so
%{python3_sitearch}/zstd.cpython-*-*-linux-gnu.so

%changelog
* Sun Jul 19 2020 Felix Kaechele <felix@kaechele.ca> - 0.14.0-1
- Initial package.
